<template>
  <v-card>
      <v-card-title>
        <h2>Create a character</h2>
      </v-card-title>
      <v-card-text>
        <v-form class="px-3" @submit="addCharacter">
          <h3 for="name">Name</h3>
          <v-text-field label="Name" v-model="name" class="mx-4"></v-text-field>
          <h3 for="gender">Gender</h3>
          <v-radio-group v-model="gender" mandatory>
          <v-radio color="green lighten-2" label="Male" value="Male"></v-radio>
          <v-radio color="green lighten-2" label="Female" value="Female"></v-radio>
          </v-radio-group>
          <h3 for="species">Species</h3>
          <v-radio-group v-model="species" mandatory>
          <v-radio color="green lighten-2" label="Wizzard" value="Wizzard"></v-radio>
          <v-radio color="green lighten-2" label="Elf" value="Elf"></v-radio>
          <v-radio color="green lighten-2" label="Demon" value="Demon"></v-radio>
          </v-radio-group>
          <v-btn color="green lighten-2" to="/story" @click="addCharacter">Start the game!</v-btn>
        </v-form>
      </v-card-text>
    </v-card>

</template>

<script>

export default {
  name: "AddCharacter",
  data() {
    return {
      name: "",
      gender: "",
      species: "",
    };
  },
  methods: {
    addCharacter(e) {
      e.preventDefault();
      const newCharacter = {
        name: this.name,
        gender: this.gender,
        species: this.species,
        user: { "id": 15}
      };
      this.$emit("add-character", newCharacter);

      this.name = "";
      this.gender = "";
      this.species = "";
      console.log("H");
    },
  },
};
</script>